com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowFunctionsInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowFunctionsInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowFunctionsInfo
    extends Object

Data container for user-defined function metadata returned by the SHOW FUNCTIONS command.

This class represents information about user-defined functions including their signature (name and argument list) and return type. Used by JDBC metadata methods like getFunctions() to provide structured access to function information.

See Also:
  `DatabaseMetaData.getFunctions(String, String, String)`, `MetadataServerProxy.getFunctions(String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowFunctionsInfo(String functionName, String argumentList)`
`ShowFunctionsInfo(String databaseName, String schemaName, String functionName, String returnType, String argumentList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArgumentList()`
`String` `getDatabaseName()`
`String` `getFunctionName()`
`String` `getReturnType()`
`String` `getSchemaName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowFunctionsInfo

    public ShowFunctionsInfo(String databaseName,
                             String schemaName,
                             String functionName,
                             String returnType,
                             String argumentList)

#### ShowFunctionsInfo

    public ShowFunctionsInfo(String functionName,
                             String argumentList)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getFunctionName

    public String getFunctionName()

#### getReturnType

    public String getReturnType()

#### getArgumentList

    public String getArgumentList()